Bug 1130759

Summary: Add a sample systemd unit
Product: [Fedora] Fedora Reporter: Sven Lankes <sven>
Component: usbredirAssignee: Hans de Goede <hdegoede>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: crobinso, hdegoede, sven
Target Milestone: ---Keywords: FutureFeature
Target Release: ---Flags: hdegoede: needinfo? (sven)
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-01 14:39:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Sven Lankes 2014-08-17 12:35:58 UTC
I'd like to request the addition of a sample systemd unit to the package or the documentation.

Here is what I am using on to start the process for a scanner:

[Unit]
Description=USB Redir-server for Fujitsu ScanSnap ix500
After=network.target

[Service]
User=root
ExecStart=/usr/sbin/usbredirserver -p 59000 -v 3 04c5:132b
Restart=on-abort

[Install]
WantedBy=multi-user.target

Comment 1 Hans de Goede 2014-08-23 12:50:21 UTC
Sounds reasonable, can you do a patch against upstream git for this ?  :

http://cgit.freedesktop.org/spice/usbredir

Comment 2 Cole Robinson 2014-10-01 14:39:54 UTC
Doesn't make much sense to track this in the Fedora tracker

Sven, please either provide a patch as Hans suggested, or file the bug in usbredir's upstream tracker at bugs.freedesktop.org